{#https://getbootstrap.com/docs/4.0/components/navbar/#}


<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">TP web <span style="color:#26ff1e;">  Menu Client </span></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">

            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" id="DropdownCommandes" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Commandes
                </a>
                <div class="dropdown-menu" aria-labelledby="DropdownCommandes">
                    <a class="dropdown-item" href="{{  path('client_panier_show') }}">Faire une commande(Produits/panier)</a>
                </div>
            </li>

            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" id="DropdownClient" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Produits
                </a>
                <div class="dropdown-menu" aria-labelledby="DropdownStage">
                    <a class="dropdown-item" href="{# path('panier.filtre') }#}">Filtrer par catégorie de produits</a>
                </div>
            </li>


            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" id="DropdownComptes" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    mon compte
                </a>
                <div class="dropdown-menu" aria-labelledby="DropdownComptes">
                    <a class="dropdown-item" href="{{ path('client_commande_show') }}">mes commandes</a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="{#{{ path('user_registration_complete') }}#}">mes coordonnées</a>

                </div>
            </li>
        </ul>

        <ul class="nav navbar-nav navbar-right">
            <!-- Authentication Links -->
            {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                <span class="navbar-text">
                    Bonjour {{ app.user.username }}
                    {% if is_granted('ROLE_ADMIN') %} (role : Admin )
                    {% elseif is_granted('ROLE_CLIENT') %} (role : Client ) {% endif %}
            </span>
                <a class="btn btn-outline-success" type="button" href="{{path('app_logout') }}">
                    Se déconnecter
                </a>

            {% else %}
                <a class="btn btn-outline-success" type="button" href="{{path('app_login') }}">
                    Se connecter
                </a>
                <a class="btn btn-outline-success" type="button" href="{#{path('changePassword') }#}">
                    mot de passe oublié
                </a>
            {% endif %}

        </ul>
    </div>
</nav>
